<?php
/**
 * Plugin Name: Post Carousel by ModernThemes
 * Plugin URI: https://modernthemes.net/plugins/post-carousel
 * Description: Turn your posts into a carousel slider
 * Author: ModernThemes
 * Author URI: https://modernthemes.net
 * Version: 1.0.1
 */


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_post_carousel', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_post_carousel' //Plugin slug  
);


/* Paths for Files */
$ja_mt_posts_main_file = dirname(__FILE__).'/mt-posts-carousel.php';
$ja_mt_posts_directory = plugin_dir_url($ja_mt_posts_main_file);
$ja_mt_posts_path = dirname(__FILE__);

/* CSS and Scripts */
function mt_posts_add_scripts() {
	global $ja_mt_posts_directory, $ja_mt_posts_path;
		wp_enqueue_style('mt_posts_styles', $ja_mt_posts_directory.'css/owl.carousel.css');
		wp_enqueue_script('jquery');
		wp_register_script('mt_posts_js', $ja_mt_posts_directory.'js/owl.carousel.js', 'jquery');
		wp_register_script('mt_posts_script_js', $ja_mt_posts_directory.'js/owl.script.js', 'jquery');
		wp_enqueue_script('mt_posts_js');
        wp_enqueue_script('mt_posts_script_js');
}
		
add_action('wp_enqueue_scripts', 'mt_posts_add_scripts');


load_plugin_textdomain ('mtpostscarousel');


$dir = plugin_dir_path( __FILE__ ); 

include_once( $dir . 'inc/mt-posts-carousel-widget.php' ); 
include_once( $dir . 'inc/shortcodes-mt-post-carousel.php' );  



?>